Subject: bug#57653: pypy build fails

From: Samuel Christie <[email-masked]>
Date: Fri, 09 Sep 2022 12:06:32 -0400

I also get a build error for pypy-7.3.5, but mine is slightly different:

---
starting phase `install'
error: in phase 'install': uncaught exception:
unbound-variable #f "Unbound variable: ~S" (out) #f 
phase `install' failed after 0.1 seconds
Backtrace:
          10 (primitive-load "/gnu/store/rlmxdywralyifcjlyq3ljw87mjj…")
In guix/build/gnu-build-system.scm:
    906:2  9 (gnu-build #:source _ #:outputs _ #:inputs _ #:phases . #)
In ice-9/boot-9.scm:
  1752:10  8 (with-exception-handler _ _ #:unwind? _ # _)
In srfi/srfi-1.scm:
    634:9  7 (for-each #<procedure 7fffeeacb9c0 at guix/build/gnu-b…> …)
In ice-9/boot-9.scm:
  1752:10  6 (with-exception-handler _ _ #:unwind? _ # _)
In guix/build/gnu-build-system.scm:
   927:23  5 (_)
In ice-9/eval.scm:
    159:9  4 (_ #(#(#(#(#(#(#<directory (guile-user)…>) …) …) …) …) …))
   223:20  3 (proc #(#(#(#(#(#(#<directory (guile-us…>) …) …) …) …) …))
In unknown file:
           2 (%resolve-variable (7 . out) #<directory (guile-user) 7…>)
In ice-9/boot-9.scm:
  1685:16  1 (raise-exception _ #:continuable? _)
  1685:16  0 (raise-exception _ #:continuable? _)

ice-9/boot-9.scm:1685:16: In procedure raise-exception:
Unbound variable: out
---

The file it's loading is:
  /gnu/store/rlmxdywralyifcjlyq3ljw87mjjnbarj-pypy-7.3.5-builder
which only contains `out` as a bare symbol in the expression:
  (copy-recursively dist-dir out)

I believe this line is expanded from gnu/packages/python.scm#868:
  (copy-recursively dist-dir #$output)
though I don't know gexps well enough to figure out anything past that.

I hope this helps,
-shcv